| FoxitPDFSDKforWeb v11.1.0 Archives Foxit PDF SDK for Web

Public Attributes | List of all members
SignDocInfo Interface Reference
PDF » form

Signing settings for PDF signatures. More...

## Public Attributes
CustomAppearance | custom
| The custom information of the signature.
number | defaultContentsLength
| The default length of signature contents in bytes, default is 7942. It should be greater than 4098.
string | distinguishName
| The distinguish name of the signing.
string | email
| The contact information of the signer.
string | fieldName
| Specifies which field to be signed. Required if pageIndex and rect are absent. If pageIndex, rect, and fieldName all exist, fieldName has the highest priority.
string | filter
| The filter of signature.
number | flag
| The appearance flag for signing. Please refer to Signature_Ap_Flags, default is 0x100
string | image
| The image for signing(e.g. BLOB URL, HTTP, HTTPS, and Base64URL).
boolean | isKeepRatio
| Whether to keep image aspect ratio when scaling. true: Scale the image proportionally based on its original size (default). false: Stretch the image to fit the specified rectangle dimensions.
string | location
| The location of the signing.
Array< number > number | pageIndex
| Specify a page index on which this signature will appear. Required if fieldName, pagingSigConfig is absent. If it is an array, the signInfo.rect must be an array of the same length.
object | pagingSigConfig
| Specifies paging seal signature info. Please refer to PDFDoc.addPagingSealSignature. Required if fieldName, rect, pageIndex is absent
string | reason
| The reason of the signature.
Array< PDFRect > PDFRect | rect
| Position of signature. Required if fieldName, pagingSigConfig is absent If it is an array, the signInfo.pageIndex must be an array of the same length.
number | rotation
| The rotation angle of the signature form widget (0, 90, 180, 270), default is 0. The number of degrees by which the widget annotation is rotated counterclockwise relative to the page.
string number | shareVDictType
| 0 | Don't share the V dictionary among signatures in the array. And the document will not be signed. 1 | Use the first signature's V dictionary for all signatures in the array. The V dictionary of the first signature is shared by all signatures. string | Specify the signature that existing in the document. The V dictionary of the specified signature is shared by all signatures. Parameter signer, reason, email, distinguishName, location and text are ignored. Required if pageIndex and rect are array
string | signer
| The signer of the signature.
number | signTime
| The time of signing. A numeric value representing the number of elapsed milliseconds since midnight, January 1, 1970 GMT. The default is the current time. More...
string | subfilter
| The subfilter of signature.
string | text
| The signing descriptive information.
SigningTimeFormat | timeFormat
| The format information of signing time.

## Detailed Description

Signing settings for PDF signatures.

Since
  11.0.0

See also
  ISignDocDialog.openWith
  PDFDoc.sign

## Member Data Documentation

## ◆ signTime

number SignDocInfo::signTime

The time of signing. A numeric value representing the number of elapsed milliseconds since midnight, January 1, 1970 GMT. The default is the current time.

Since
  10.0.0

@2026 Foxit Software Incorporated. All rights reserved.